Bug 196596 - print/cups-filters: /usr/bin/ld: cannot find -lcupsimage
Summary: print/cups-filters: /usr/bin/ld: cannot find -lcupsimage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-07 15:27 UTC by Walter Hop
Modified: 2015-01-21 20:22 UTC (History)
1 user (show)

See Also:
cyberbotx: maintainer-feedback+


Attachments
patch for print/cups-filters/Makefile (543 bytes, patch)
2015-01-07 15:27 UTC, Walter Hop
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Hop 2015-01-07 15:27:24 UTC
Created attachment 151463 [details]
patch for print/cups-filters/Makefile

Building the print/cups-filters port fails over here, as it depends on cups-image:

/usr/local/bin/ld: cannot find -lcupsimage
collect2: error: ld returned 1 exit status
*** [libcupsfilters.la] Error code 1

Tried manually and with Poudriere.

I don't know a whole lot about the CUPS ports, but adding a pertinent LIB_DEPENDS fixes the build problem for me.

===>  Building for cups-filters-1.0.61_2
/usr/bin/make  all-am
  CC       libcupsfilters_la-attr.lo
  CC       libcupsfilters_la-check.lo
  CC       libcupsfilters_la-cmyk.lo
  CC       libcupsfilters_la-colord.lo
  CC       libcupsfilters_la-colormanager.lo
cupsfilters/colormanager.c: In function '_get_colord_profile':
cupsfilters/colormanager.c:247:7: warning: passing argument 2 of 'colord_get_profile_for_device_id' from incompatible pointer type [enabled by default]
       icc_profile = colord_get_profile_for_device_id (printer_id, qualifier);
       ^
In file included from cupsfilters/colormanager.c:30:0:
./cupsfilters/colord.h:40:9: note: expected 'const char **' but argument is of type 'char **'
 char   *colord_get_profile_for_device_id  (const char *device_id,
         ^
  CC       libcupsfilters_la-dither.lo
  CC       libcupsfilters_la-image.lo
  CC       libcupsfilters_la-image-bmp.lo
  CC       libcupsfilters_la-image-colorspace.lo
  CC       libcupsfilters_la-image-gif.lo
  CC       libcupsfilters_la-image-jpeg.lo
  CC       libcupsfilters_la-image-photocd.lo
  CC       libcupsfilters_la-image-pix.lo
  CC       libcupsfilters_la-image-png.lo
  CC       libcupsfilters_la-image-pnm.lo
  CC       libcupsfilters_la-image-sgi.lo
  CC       libcupsfilters_la-image-sgilib.lo
  CC       libcupsfilters_la-image-sun.lo
  CC       libcupsfilters_la-image-tiff.lo
  CC       libcupsfilters_la-image-zoom.lo
  CC       libcupsfilters_la-lut.lo
  CC       libcupsfilters_la-pack.lo
  CC       libcupsfilters_la-raster.lo
  CC       libcupsfilters_la-rgb.lo
  CC       libcupsfilters_la-srgb.lo
  CCLD     libcupsfilters.la
/usr/local/bin/ld: cannot find -lcupsimage
collect2: error: ld returned 1 exit status
*** [libcupsfilters.la] Error code 1

Stop in /wrkdirs/usr/ports/print/cups-filters/work/cups-filters-1.0.61.
*** [all] Error code 1

Stop in /wrkdirs/usr/ports/print/cups-filters/work/cups-filters-1.0.61.
*** [do-build] Error code 1
Comment 1 Bugzilla Automation freebsd_committer 2015-01-07 15:27:24 UTC
Maintainer CC'd
Comment 2 Naram Qashat 2015-01-16 22:24:42 UTC
Sorry it took me so long to get back on this one. This patch is acceptable.
Comment 3 Naram Qashat 2015-01-21 16:40:30 UTC
Actually, this bug can be closed. I have submitted an update to cups-filters in bug #196971 in which I have included libcupsimage.so in LIB_DEPENDS like the above patch recommends.
Comment 4 Walter Hop 2015-01-21 20:22:18 UTC
Awesome!